[arch-commits] Commit in valgrind/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Wed Aug 20 16:25:59 EDT 2008


    Date: Wednesday, August 20, 2008 @ 16:25:59
  Author: jgc
Revision: 9906

Merged revisions 2716-9905 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/valgrind/trunk

........
  r2719 | eric | 2008-06-13 02:37:51 +0000 (Fri, 13 Jun 2008) | 2 lines
  
  upgpkg: valgrind 3.3.1-1
      FSH man pages
........
  r9904 | jgc | 2008-08-20 20:18:19 +0000 (Wed, 20 Aug 2008) | 2 lines
  
  upgpkg: valgrind 3.3.1-2
      Rebuild for glibc 2.8.
........

Modified:
  valgrind/repos/extra-i686/	(properties)
  valgrind/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)


Property changes on: valgrind/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /valgrind/trunk:1-2715
   + /valgrind/trunk:1-9905

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-08-20 20:18:30 UTC (rev 9905)
+++ extra-i686/PKGBUILD	2008-08-20 20:25:59 UTC (rev 9906)
@@ -3,15 +3,15 @@
 
 pkgname=valgrind
 pkgver=3.3.1
-pkgrel=1
+pkgrel=2
 pkgdesc="A tool to help find memory-management problems in programs"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://valgrind.org/"
-depends=('glibc')
+depends=('glibc>=2.8' 'glibc<2.9')
 source=(http://valgrind.org/downloads/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('0539e2fa4aadb2cd4ca4bba65b1fe8b5')
 options=(!emptydirs)
-md5sums=('0539e2fa4aadb2cd4ca4bba65b1fe8b5')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
@@ -20,10 +20,10 @@
   sed -i -e 's:^CFLAGS="-Wno-long-long":CFLAGS="$CFLAGS -Wno-long-long":' configure.in
 
   if [ "${CARCH}" = "x86_64" ]; then
-    ./configure --prefix=/usr --enable-only64bit
+    ./configure --prefix=/usr --mandir=/usr/share/man --enable-only64bit || return 1
   else
-    ./configure --prefix=/usr
+    ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   fi
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${startdir}/pkg install || return 1
 }




More information about the arch-commits mailing list